clang 8.0.0

Functions
PreprocessingRecord.cpp File Reference
`#include "clang/Lex/PreprocessingRecord.h"`
`#include "clang/Basic/IdentifierTable.h"`
`#include "clang/Basic/LLVM.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "clang/Basic/SourceManager.h"`
`#include "clang/Basic/TokenKinds.h"`
`#include "clang/Lex/MacroInfo.h"`
`#include "clang/Lex/Token.h"`
`#include "llvm/ADT/DenseMap.h"`
`#include "llvm/ADT/Optional.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/ADT/iterator_range.h"`
`#include "llvm/Support/Capacity.h"`
`#include "llvm/Support/Casting.h"`
`#include "llvm/Support/ErrorHandling.h"`
`#include <algorithm>`
`#include <cassert>`
`#include <cstddef>`
`#include <cstring>`
`#include <iterator>`
`#include <utility>`
`#include <vector>`
Include dependency graph for PreprocessingRecord.cpp:

Go to the source code of this file.

## Functions
static bool | isPreprocessedEntityIfInFileID (PreprocessedEntity *PPE, FileID FID, SourceManager &SM)

## Function Documentation

## ◆ isPreprocessedEntityIfInFileID()

static bool isPreprocessedEntityIfInFileID | ( | PreprocessedEntity * | PPE,
|  | FileID | FID,
|  | SourceManager & | SM
| ) |  |
| static

Definition at line 78 of file PreprocessingRecord.cpp.

References clang::SourceRange::getBegin(), clang::SourceManager::getFileLoc(), clang::PreprocessedEntity::getSourceRange(), clang::SourceManager::isInFileID(), clang::SourceLocation::isInvalid(), and clang::FileID::isValid().

Referenced by clang::PreprocessingRecord::isEntityInFileID().